GuardSignerService
Rotate Guard Signer Wallet
Generate a backend-managed replacement signer and return the rotateSigner approval.
Method
POST
Path
/v1/chain/guard-signer/wallets:rotate
Visibility
Authentication
Session token
MFA Requirement
POST
/v1/chain/guard-signer/wallets:rotate Request
Testnet
curl --request POST \ \
--url 'https://api.testnet.polyester.com/v1/chain/guard-signer/wallets:rotate' \
--header 'Accept: */*' \
--header 'X-API-KEY-ID: YOUR_API_KEY_ID' \
--header 'X-API-TIMESTAMP: YOUR_API_TIMESTAMP' \
--header 'X-API-SIGNATURE: YOUR_API_SIGNATURE' \
--header 'Content-Type: application/json' \
--data '{
"subaccountId": "6789012345678"
}'Responses
{
"approval": {
"deadlineUnix": "1",
"nonceSpace": "1",
"signature": "0xabcdefg..............................."
},
"newSignerAddress": "0x5555555555555555555555555555555555555555"
} subaccountId string (int64)
Optional subaccount public id. When omitted, the authenticated caller's root account is used as the target account.
newSignerAddress string
EVM address of the replacement guard signer wallet.
Example
0x5555555555555555555555555555555555555555 3 fields
nonceSpace string (uint64)
Nonce space used for the signed approval. Normal flows use 0.
Example
1 deadlineUnix string (uint64)
Deadline as a unix timestamp in seconds, derived from chain time.
Example
1 signature string (byte)
EIP-712 signature over the guard approval message.
Example
0xabcdefg...............................| Key | Status | Error | When |
|---|---|---|---|
| unauthenticated | 401 | Unauthenticated | Authentication required. |
| permission-denied | 403 | Permission Denied | Permission denied. |
| invalid-argument | 400 | Invalid Argument | Invalid argument. |
| not-found | 404 | Not Found | Not found. |
| unavailable | 503 | Unavailable | Service unavailable. |